Messages
{
"method": "subscribe",
"topic": "solana.dex.pools",
"params": {
"pool_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.pools"
]
}{
"topic": "solana.dex.pools",
"data": {
"protocol": "orca-whirl",
"event_type": "create",
"program_address": "9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin",
"pool_address": "H8W3ctz92svYg6mkn1UtGfu2aQr2fnUFHM1RhScEtQDt",
"vaults": [
{
"vault_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"token_address": "So11111111111111111111111111111111111111112",
"amount": 256.4115815
}
],
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}Pools
Subscribe Pools
Subscribe to real-time pool events.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.dex.pools",
"params": {
"pool_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.pools"
]
}{
"topic": "solana.dex.pools",
"data": {
"protocol": "orca-whirl",
"event_type": "create",
"program_address": "9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin",
"pool_address": "H8W3ctz92svYg6mkn1UtGfu2aQr2fnUFHM1RhScEtQDt",
"vaults": [
{
"vault_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"token_address": "So11111111111111111111111111111111111111112",
"amount": 256.4115815
}
],
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Pools
type:object
Subscribe to pool updates.
Unsubscribe Pools
type:object
Unsubscribe from pool updates.
Pools Message
type:object
Message containing the pool data.
Was this page helpful?
⌘I